> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Custom Eval



## OpenAPI

````yaml /openapi.json get /v1/api-performance/custom-evals/{custom_eval_id}
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/api-performance/custom-evals/{custom_eval_id}:
    get:
      tags:
        - API Performance
      summary: Retrieve Custom Eval
      operationId: api_performance_custom_evals_retrieve
      parameters:
        - name: custom_eval_id
          in: path
          required: true
          schema:
            type: string
            title: Custom Eval Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicCustomEval'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    PublicCustomEval:
      properties:
        id:
          type: string
          title: Id
        prompt:
          type: string
          title: Prompt
        prompt_template:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Template
          description: >-
            Template used to render prompt before storing. Available variables:
            Company name {{company_name}}; Company domain {{company_domain}}.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        tag:
          anyOf:
            - type: string
            - type: 'null'
          title: Tag
        competitor:
          anyOf:
            - type: string
            - type: 'null'
          title: Competitor
        prompt_competitor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Competitor
        prompt_competitor_group:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Competitor Group
        category:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Category
        eval:
          anyOf:
            - $ref: '#/components/schemas/PublicEvalDefinition'
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - prompt
      title: PublicCustomEval
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicEvalDefinition:
      properties:
        id:
          type: string
          title: Id
        operation_id:
          type: string
          title: Operation Id
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        source:
          anyOf:
            - $ref: '#/components/schemas/PublicApiPerformanceSourceRef'
            - type: 'null'
        eval_type:
          type: string
          title: Eval Type
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
        custom_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Custom Prompt
        expected_behavior:
          anyOf:
            - type: string
            - type: 'null'
          title: Expected Behavior
        starting_project_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Starting Project Id
        docs_mode:
          type: string
          enum:
            - default
            - include
            - exclude
          title: Docs Mode
          default: default
        include_env_vars:
          type: boolean
          title: Include Env Vars
          default: true
        env_profile_ids:
          items:
            type: string
          type: array
          title: Env Profile Ids
        model_ids:
          items:
            type: string
          type: array
          title: Model Ids
        compare_skills:
          type: boolean
          title: Compare Skills
          default: false
        skills_mode:
          type: string
          enum:
            - none
            - all
            - selected
          title: Skills Mode
          default: none
        skills_enabled:
          type: boolean
          title: Skills Enabled
          default: false
        skill_ids:
          items:
            type: string
          type: array
          title: Skill Ids
        mcp_enabled:
          type: boolean
          title: Mcp Enabled
          default: false
        run_context:
          additionalProperties: true
          type: object
          title: Run Context
        enabled:
          type: boolean
          title: Enabled
          default: true
      type: object
      required:
        - id
        - operation_id
        - eval_type
      title: PublicEvalDefinition
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PublicApiPerformanceSourceRef:
      properties:
        id:
          type: string
          title: Id
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
      type: object
      required:
        - id
      title: PublicApiPerformanceSourceRef
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````